<?php

namespace App\Filament\Resources\TopHeaderResource\Pages;

use App\Filament\Resources\TopHeaderResource;
use Filament\Actions;
use Filament\Resources\Pages\EditRecord;
use Illuminate\Support\Facades\Gate;
class EditTopHeader extends EditRecord
{
    protected static string $resource = TopHeaderResource::class;

    protected function getHeaderActions(): array
    {
        return [
            Actions\DeleteAction::make()
                ->visible(fn () => Gate::allows('delete topheader')),
        ];
    }
}